## rust-parsec-service 1.2.0

=== debian/changelog ===
rust-parsec-service (1.2.0-3) unstable; urgency=medium

  * Package parsec-service 1.2.0 from crates.io using debcargo 2.6.0
  * Enable tpm-provider now that tss-esapi, picky-asn1, picky-asn1-der, and
    picky-asn1-x509 are in Debian

 -- Emanuele Rocca <ema@debian.org>  Mon, 14 Aug 2023 16:43:10 +0200

rust-parsec-service (1.2.0-2) unstable; urgency=medium

  * Team upload.
  * Package parsec-service 1.2.0 from crates.io using debcargo 2.6.0
  * Amended relax-deps.diff for env-logger 0.10

 -- Matthias Geiger <werdahias@riseup.net>  Thu, 10 Aug 2023 17:47:16 +0200

rust-parsec-service (1.2.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1028626)
  * Package parsec-service 1.2.0 from crates.io using debcargo 2.6.0

 -- Emanuele Rocca <ema@debian.org>  Tue, 20 Jun 2023 11:49:00 +0200
