## rust-parsec-service 1.3.0

=== debian/changelog ===
rust-parsec-service (1.3.0-5build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:14:37 +1100

rust-parsec-service (1.3.0-5build1) noble; urgency=medium

  * No-change rebuild against libmbedcrypto7t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 17 Mar 2024 18:10:54 +0000

rust-parsec-service (1.3.0-5) unstable; urgency=medium

  * Team upload.
  * Package parsec-service 1.3.0 from crates.io using debcargo 2.6.1
  * Stop patching toml dependency version.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 30 Jan 2024 17:50:37 +0000

rust-parsec-service (1.3.0-4) unstable; urgency=medium

  * Team upload.
  * Package parsec-service 1.3.0 from crates.io using debcargo 2.6.1
  * Stop patching rusqlite dependency version.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 12 Dec 2023 16:51:51 +0000

rust-parsec-service (1.3.0-3) unstable; urgency=medium

  * Package parsec-service 1.3.0 from crates.io using debcargo 2.6.0
  * Enable pkcs11-provider now that cryptoki is available in Sid.

 -- Emanuele Rocca <ema@debian.org>  Fri, 03 Nov 2023 13:54:12 +0100

rust-parsec-service (1.3.0-2) unstable; urgency=medium

  * Team upload.
  * Package parsec-service 1.3.0 from crates.io using debcargo 2.6.0

 -- Peter Michael Green <plugwash@debian.org>  Thu, 26 Oct 2023 14:36:39 +0000

rust-parsec-service (1.3.0-1) unstable; urgency=medium

  * Team upload.
  * Package parsec-service 1.3.0 from crates.io using debcargo 2.6.0
  * Update patches for new upstream and current situation in Debian.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 26 Oct 2023 02:23:37 +0000

rust-parsec-service (1.2.0-4) unstable; urgency=medium

  * Team upload.
  * Package parsec-service 1.2.0 from crates.io using debcargo 2.6.0
  * Bump bindgen dependency to 0.66.

 -- Peter Michael Green <plugwash@debian.org>  Wed, 20 Sep 2023 00:08:58 +0000
