## rust-parsec-service 1.4.1

=== debian/changelog ===
rust-parsec-service (1.4.1-4) unstable; urgency=medium

  * Team upload.
  * Package parsec-service 1.4.1 from crates.io using debcargo 2.7.8
  * Bump bindgen dependency to v0.72

 -- NoisyCoil <noisycoil@debian.org>  Fri, 05 Sep 2025 20:39:52 +0200

rust-parsec-service (1.4.1-3) unstable; urgency=medium

  * Team upload.
  * Package parsec-service 1.4.1 from crates.io using debcargo 2.7.6
  * Bump bindgen dependency to v0.71

 -- NoisyCoil <noisycoil@tutanota.com>  Thu, 30 Jan 2025 16:17:07 +0100

rust-parsec-service (1.4.1-2) unstable; urgency=medium

  * Team upload.
  * Package parsec-service 1.4.1 from crates.io using debcargo 2.7.4
  * Bump env_logger dependency to v0.11

 -- NoisyCoil <noisycoil@tutanota.com>  Tue, 31 Dec 2024 13:19:45 +0100

rust-parsec-service (1.4.1-1) unstable; urgency=medium

  * Package parsec-service 1.4.1 from crates.io using debcargo 2.7.2
  * Bump bindgen dependency to v0.70

  [ Blair Noctis ]
  * Team upload.
  * Package parsec-service 1.4.1 from crates.io using debcargo 2.7.1
  * Unfix clap version to use Debian packaged
  * Update d/tests/smoke.sh, -V|--version was removed

 -- NoisyCoil <noisycoil@tutanota.com>  Fri, 22 Nov 2024 01:27:59 +0000

rust-parsec-service (1.3.0-7) unstable; urgency=medium

  * Team upload.
  * Package parsec-service 1.3.0 from crates.io using debcargo 2.7.0
  * update to base64 0.22

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sat, 05 Oct 2024 16:38:26 +0200

rust-parsec-service (1.3.0-6) unstable; urgency=medium

  * Team upload.
  * Build against prost-0.12
  * Package parsec-service 1.3.0 from crates.io using debcargo 2.6.1

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 11 Jul 2024 19:20:09 -0400
