=== debian/control ===
Source: rust-parsec-service
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo,
 debhelper (>= 13)
Build-Depends-Arch: cargo:native,
 rustc:native (>= 1.66.0),
 libstd-rust-dev,
 librust-anyhow-1+default-dev (>= 1.0.38-~~),
 librust-base64-0.22+default-dev,
 librust-bincode-1+default-dev (>= 1.3.1-~~),
 librust-clap-4+default-dev (>= 4.3.24-~~),
 librust-clap-4+derive-dev (>= 4.3.24-~~),
 librust-clap-4+std-dev (>= 4.3.24-~~),
 librust-cryptoki-0.6-dev,
 librust-derivative-2+default-dev (>= 2.2.0-~~),
 librust-env-logger-0.11+default-dev,
 librust-hex-0.4+default-dev (>= 0.4.2-~~),
 librust-libc-0.2+default-dev (>= 0.2.86-~~),
 librust-log-0.4+default-dev (>= 0.4.14-~~),
 librust-log-0.4+serde-dev (>= 0.4.14-~~),
 librust-num-traits-0.2+default-dev (>= 0.2.14-~~),
 librust-parsec-interface-0.29+default-dev (>= 0.29.1-~~),
 librust-picky-asn1-0.7+default-dev,
 librust-picky-asn1-der-0.4+default-dev,
 librust-picky-asn1-x509-0.10+default-dev,
 librust-psa-crypto-0.9+operations-dev (>= 0.9.2-~~),
 librust-rand-0.8+default-dev (>= 0.8.3-~~),
 librust-rand-0.8+small-rng-dev (>= 0.8.3-~~),
 librust-rusqlite-0.29+default-dev,
 librust-sd-notify-0.4+default-dev (>= 0.4.1-~~),
 librust-serde-1+default-dev (>= 1.0.123-~~),
 librust-serde-1+derive-dev (>= 1.0.123-~~),
 librust-signal-hook-0.3+default-dev (>= 0.3.4-~~),
 librust-threadpool-1+default-dev (>= 1.8.1-~~),
 librust-toml-0.8+default-dev,
 librust-tss-esapi-7+default-dev (>= 7.5.0-~~),
 librust-zeroize-1+default-dev (>= 1.2.0-~~),
 librust-zeroize-1+zeroize-derive-dev (>= 1.2.0-~~)
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Emanuele Rocca <ema@debian.org>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/parsec-service]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/parsec-service
Homepage: https://github.com/parallaxsecond/parsec
X-Cargo-Crate: parsec-service
Rules-Requires-Root: no

Package: librust-parsec-service-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-anyhow-1+default-dev (>= 1.0.38-~~),
 librust-base64-0.22+default-dev,
 librust-bincode-1+default-dev (>= 1.3.1-~~),
 librust-bindgen-0.72+default-dev,
 librust-clap-4+default-dev (>= 4.3.24-~~),
 librust-clap-4+derive-dev (>= 4.3.24-~~),
 librust-clap-4+std-dev (>= 4.3.24-~~),
 librust-cryptoki-0.6-dev,
 librust-derivative-2+default-dev (>= 2.2.0-~~),
 librust-env-logger-0.11+default-dev,
 librust-hex-0.4+default-dev (>= 0.4.2-~~),
 librust-libc-0.2+default-dev (>= 0.2.86-~~),
 librust-log-0.4+default-dev (>= 0.4.14-~~),
 librust-log-0.4+serde-dev (>= 0.4.14-~~),
 librust-num-traits-0.2+default-dev (>= 0.2.14-~~),
 librust-parsec-interface-0.29+default-dev (>= 0.29.1-~~),
 librust-picky-asn1-0.7+default-dev,
 librust-picky-asn1-der-0.4+default-dev,
 librust-picky-asn1-x509-0.10+default-dev,
 librust-prost-0.12+default-dev,
 librust-prost-build-0.12+default-dev,
 librust-psa-crypto-0.9+operations-dev (>= 0.9.2-~~),
 librust-rand-0.8+default-dev (>= 0.8.3-~~),
 librust-rand-0.8+small-rng-dev (>= 0.8.3-~~),
 librust-rusqlite-0.29+default-dev,
 librust-sd-notify-0.4+default-dev (>= 0.4.1-~~),
 librust-serde-1+default-dev (>= 1.0.123-~~),
 librust-serde-1+derive-dev (>= 1.0.123-~~),
 librust-signal-hook-0.3+default-dev (>= 0.3.4-~~),
 librust-threadpool-1+default-dev (>= 1.8.1-~~),
 librust-toml-0.8+default-dev,
 librust-tss-esapi-7+default-dev (>= 7.5.0-~~),
 librust-zeroize-1+default-dev (>= 1.2.0-~~),
 librust-zeroize-1+zeroize-derive-dev (>= 1.2.0-~~)
Provides:
 librust-parsec-service+all-authenticators-dev (= ${binary:Version}),
 librust-parsec-service+all-providers-dev (= ${binary:Version}),
 librust-parsec-service+bindgen-dev (= ${binary:Version}),
 librust-parsec-service+cryptoki-dev (= ${binary:Version}),
 librust-parsec-service+default-dev (= ${binary:Version}),
 librust-parsec-service+direct-authenticator-dev (= ${binary:Version}),
 librust-parsec-service+hex-dev (= ${binary:Version}),
 librust-parsec-service+mbed-crypto-provider-dev (= ${binary:Version}),
 librust-parsec-service+picky-asn1-dev (= ${binary:Version}),
 librust-parsec-service+picky-asn1-der-dev (= ${binary:Version}),
 librust-parsec-service+picky-asn1-x509-dev (= ${binary:Version}),
 librust-parsec-service+pkcs11-provider-dev (= ${binary:Version}),
 librust-parsec-service+prost-dev (= ${binary:Version}),
 librust-parsec-service+prost-build-dev (= ${binary:Version}),
 librust-parsec-service+psa-crypto-dev (= ${binary:Version}),
 librust-parsec-service+rand-dev (= ${binary:Version}),
 librust-parsec-service+tpm-provider-dev (= ${binary:Version}),
 librust-parsec-service+tss-esapi-dev (= ${binary:Version}),
 librust-parsec-service+unix-peer-credentials-authenticator-dev (= ${binary:Version}),
 librust-parsec-service-1-dev (= ${binary:Version}),
 librust-parsec-service-1+all-authenticators-dev (= ${binary:Version}),
 librust-parsec-service-1+all-providers-dev (= ${binary:Version}),
 librust-parsec-service-1+bindgen-dev (= ${binary:Version}),
 librust-parsec-service-1+cryptoki-dev (= ${binary:Version}),
 librust-parsec-service-1+default-dev (= ${binary:Version}),
 librust-parsec-service-1+direct-authenticator-dev (= ${binary:Version}),
 librust-parsec-service-1+hex-dev (= ${binary:Version}),
 librust-parsec-service-1+mbed-crypto-provider-dev (= ${binary:Version}),
 librust-parsec-service-1+picky-asn1-dev (= ${binary:Version}),
 librust-parsec-service-1+picky-asn1-der-dev (= ${binary:Version}),
 librust-parsec-service-1+picky-asn1-x509-dev (= ${binary:Version}),
 librust-parsec-service-1+pkcs11-provider-dev (= ${binary:Version}),
 librust-parsec-service-1+prost-dev (= ${binary:Version}),
 librust-parsec-service-1+prost-build-dev (= ${binary:Version}),
 librust-parsec-service-1+psa-crypto-dev (= ${binary:Version}),
 librust-parsec-service-1+rand-dev (= ${binary:Version}),
 librust-parsec-service-1+tpm-provider-dev (= ${binary:Version}),
 librust-parsec-service-1+tss-esapi-dev (= ${binary:Version}),
 librust-parsec-service-1+unix-peer-credentials-authenticator-dev (= ${binary:Version}),
 librust-parsec-service-1.4-dev (= ${binary:Version}),
 librust-parsec-service-1.4+all-authenticators-dev (= ${binary:Version}),
 librust-parsec-service-1.4+all-providers-dev (= ${binary:Version}),
 librust-parsec-service-1.4+bindgen-dev (= ${binary:Version}),
 librust-parsec-service-1.4+cryptoki-dev (= ${binary:Version}),
 librust-parsec-service-1.4+default-dev (= ${binary:Version}),
 librust-parsec-service-1.4+direct-authenticator-dev (= ${binary:Version}),
 librust-parsec-service-1.4+hex-dev (= ${binary:Version}),
 librust-parsec-service-1.4+mbed-crypto-provider-dev (= ${binary:Version}),
 librust-parsec-service-1.4+picky-asn1-dev (= ${binary:Version}),
 librust-parsec-service-1.4+picky-asn1-der-dev (= ${binary:Version}),
 librust-parsec-service-1.4+picky-asn1-x509-dev (= ${binary:Version}),
 librust-parsec-service-1.4+pkcs11-provider-dev (= ${binary:Version}),
 librust-parsec-service-1.4+prost-dev (= ${binary:Version}),
 librust-parsec-service-1.4+prost-build-dev (= ${binary:Version}),
 librust-parsec-service-1.4+psa-crypto-dev (= ${binary:Version}),
 librust-parsec-service-1.4+rand-dev (= ${binary:Version}),
 librust-parsec-service-1.4+tpm-provider-dev (= ${binary:Version}),
 librust-parsec-service-1.4+tss-esapi-dev (= ${binary:Version}),
 librust-parsec-service-1.4+unix-peer-credentials-authenticator-dev (= ${binary:Version}),
 librust-parsec-service-1.4.1-dev (= ${binary:Version}),
 librust-parsec-service-1.4.1+all-authenticators-dev (= ${binary:Version}),
 librust-parsec-service-1.4.1+all-providers-dev (= ${binary:Version}),
 librust-parsec-service-1.4.1+bindgen-dev (= ${binary:Version}),
 librust-parsec-service-1.4.1+cryptoki-dev (= ${binary:Version}),
 librust-parsec-service-1.4.1+default-dev (= ${binary:Version}),
 librust-parsec-service-1.4.1+direct-authenticator-dev (= ${binary:Version}),
 librust-parsec-service-1.4.1+hex-dev (= ${binary:Version}),
 librust-parsec-service-1.4.1+mbed-crypto-provider-dev (= ${binary:Version}),
 librust-parsec-service-1.4.1+picky-asn1-dev (= ${binary:Version}),
 librust-parsec-service-1.4.1+picky-asn1-der-dev (= ${binary:Version}),
 librust-parsec-service-1.4.1+picky-asn1-x509-dev (= ${binary:Version}),
 librust-parsec-service-1.4.1+pkcs11-provider-dev (= ${binary:Version}),
 librust-parsec-service-1.4.1+prost-dev (= ${binary:Version}),
 librust-parsec-service-1.4.1+prost-build-dev (= ${binary:Version}),
 librust-parsec-service-1.4.1+psa-crypto-dev (= ${binary:Version}),
 librust-parsec-service-1.4.1+rand-dev (= ${binary:Version}),
 librust-parsec-service-1.4.1+tpm-provider-dev (= ${binary:Version}),
 librust-parsec-service-1.4.1+tss-esapi-dev (= ${binary:Version}),
 librust-parsec-service-1.4.1+unix-peer-credentials-authenticator-dev (= ${binary:Version})
Description: Abstraction layer for secure storage and operations - Rust source code
 Source code for Debianized Rust crate "parsec-service"

Package: parsec-service
Architecture: any
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends},
 adduser
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Breaks: librust-parsec-client-dev (<= 0.15.0-2)
Description: Abstraction layer for secure storage and operations
 Parsec is an abstraction layer that can be used to interact with
 hardware-backed security facilities such as the Hardware Security Module (HSM),
 the Trusted Platform Module (TPM), as well as firmware-backed and isolated
 software services.
 .
 The core component of Parsec is the security service, provided by this package.
 The service is a background process that runs on the host platform and provides
 connectivity with the secure facilities of that host, exposing a
 platform-neutral API that can be consumed into different programming languages
 using a client library. For a client library implemented in Rust see the
 package librust-parsec-interface-dev.
