=== debian/tests/control ===
Tests: smoke.sh
Depends: @
Restrictions: superficial

Tests: ping.sh
Depends: netcat-openbsd, @
Restrictions: needs-root
